var assert = require('assert');
var validator = require('../index');
describe('Validator', function () {
    describe('#isEmail', function () {
        it('should return true when the string is an email address', function () {
            if (validator.isEmail('foo@bar.net') !== true) {
                throw new Erorr('Validator not right');
            }
        });
        it('should return false when the string isn\'t an email address', function () {
            if (validator.isEmail('123@x') == true) {
                throw new Erorr('Validator not right');
            }
        });
    });
    describe('#isAllEnglish', function () {
        it('should return true when the string is all english', function () {
            if (validator.isAllEnglish('abcddf') !== true) {
                throw new Erorr('Validator not right');
            }
        });
        it('should return flase when the string isn\'t all english', function () {
            if (validator.isAllEnglish('abcddf123') == true) {
                throw new Erorr('Validator not right');
            }
        });
    });
});